/*
	File:		CompositeHIDDriverDescription.c

	Contains:	Cloned from CompositeDriverDescription.c, rev 15.

	Version:	xxx put version here xxx

	Copyright:	 1999 by Apple Computer, Inc., all rights reserved.

*/



// Contend from 

#include <Types.h>
#include <Devices.h>
#include <DriverServices.h>
#include <USB.h>


#include "CompositeClassDriver.h"
#include "CompositeClassVersion.h"

//------------------------------------------------------
//
//	This is the driver description structure that the expert looks for first.
//  If it's here, the information within is used to match the driver
//  to the device whose descriptor was passed to the expert.
//	Information in this block is also used by the expert when an
//  entry is created in the Name Registry.
//
//------------------------------------------------------
USBDriverDescription	TheUSBDriverDescription = 
{
	// Signature info
	kTheUSBDriverDescriptionSignature,
	kInitialUSBDriverDescriptor,
	
	// Device Info
	0,										// vendor = not device specific
	0,										// product = not device specific
	0,										// version of product = not device specific
	0,										// protocol = not device specific
	
	// Interface Info	(* I don't think this would always be required...*)				
	0,										// Configuration Value
	0,										// Interface Number
	0,										// Interface Class
	0, 										// Interface SubClass
	0,										// Interface Protocol
		
	
	// Driver Info
	"\pUSBCompositeHIDDevice"kCMPStringVersShort,// Driver name for Name Registry
	kUSBHIDClass,							// Device Class
	kUSBCompositeSubClass,					// Device Subclass 
	kCMPHexMajorVers, 
	kCMPHexMinorVers, 
	kCMPCurrentRelease, 
	kCMPReleaseStage,						// version of driver
	
	// Driver Loading Info
	kUSBDoNotMatchInterface					// Please don't load us as an interface driver.
};

USBClassDriverPluginDispatchTable TheClassDriverPluginDispatchTable =
{
	kClassDriverPluginVersion,				// Version of this structure
	CompositeDriverValidateHW,				// Hardware Validation Procedure
	CompositeDriverInitialize,				// Initialization Procedure
	CompositeDriverInitInterface,			// Interface Initialization Procedure
	CompositeDriverFinalize,				// Finalization Procedure
	CompositeDriverNotifyProc				// Driver Notification Procedure
};
