/*
	File:		SafeNameRegistry.h

	Contains:	Prototypes for stub routines for name registry calls



	Copyright:	 1998 by Apple Computer, Inc., all rights reserved.

	Change History:

		25 Mar 98 	gp		Added InitNameRegistryPtrs and RemoveNameRegistryPtrs prototypes
		18 Mar 98 	gp		Created

	To Do:
*/


#ifndef __SafeNameRegistry__
#define __SafeNameRegistry__

#ifndef __NAMEREGISTRY__
#include "NameRegistry.h"
#endif

extern	Boolean	NameRegistryInstalled( void );

// prototypes for name registry stub routines
extern	OSStatus SafeRegistryEntryIDInit(RegEntryID *id);
extern	OSStatus SafeRegistryCStrEntryLookup( RegEntryID *searchPointID, 
		RegCStrPathName *pathName, RegEntryID *foundEntry);
extern	OSStatus SafeRegistryEntryIterateCreate(RegEntryIter *cookie);
extern	OSStatus SafeRegistryEntryIterateDispose(RegEntryIter *cookie);
extern	OSStatus SafeRegistryEntryIterateSet(RegEntryIter *cookie, RegEntryID *startEntryID);
extern	OSStatus SafeRegistryEntryIterate(RegEntryIter *cookie, 
			RegEntryIterationOp relationship, RegEntryID *foundEntry, Boolean *done);
extern	OSStatus SafeRegistryEntryIDDispose(RegEntryID *id);
extern	OSStatus SafeRegistryPropertyGet( RegEntryID *entryID, 
			RegPropertyName *propertyName, void *propertyValue, RegPropertyValueSize *propertySize);
extern	void	InitNameRegistryPtrs( void );
extern	void	RemoveNameRegistryPtrs( void );

#endif