/*
	File:		USB Driver.r

	Contains:	Rsrc to make a complete driver which shows up in the Chooser



	Copyright:	 1998 by Apple Computer, Inc., all rights reserved.

	Change History:

		25 Mar 98 	gp		Created

	To Do:
*/

#ifndef __USBDRIVER__
#define __USBDRIVER__

#ifndef __SYSTYPES_R__
#include "Types.r"				/* To get system types */
#endif

#ifndef __SYSTYPES_R__
#include "SysTypes.r"
#endif

/*
	Rsrcs needed to build a complete driver
*/

resource 'BNDL' (-8192) {
	'sknr',
	0,
	{	/* array TypeArray: 2 elements */
		/* [1] */
		'ICN#',
		{	/* array IDArray: 4 elements */
			/* [1] */
			0, -8192,
			/* [2] */
			1, -8192,
			/* [3] */
			2, -8190,
			/* [4] */
			3, -8189
		},
		/* [2] */
		'FREF',
		{	/* array IDArray: 4 elements */
			/* [1] */
			0, -8192,
			/* [2] */
			1, -8191,
			/* [3] */
			2, -8190,
			/* [4] */
			3, -8189
		}
	}
};

resource 'FREF' (-8192) {
	'PRER',
	0,
	""
};

resource 'icl4' (-8192) {
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"DDDD DDDD DDDD DDDD DDDD DDDD DDDD DDD0"
	$"DCCC CCCC CCCC CCCC CCCC CCCC ECCC CCD0"
	$"DCC2 CCCC CCCC CCCC CCCC CCCC EDDD DDDD"
	$"DCCC CCCC CCCC CCCC CCCC CCCC ECCC CCCD"
	$"DCCC CCCC CCCC CCCC CCCC CCCC ECCC CECD"
	$"DCCC CCCC CCCC CCCC CCCC CCCC ECCC CCCD"
	$"DCCC CCCC CCCC CCCC CCCC CCCC ECCC CCDD"
	$"DCCC CCCC CCCC CCCC CCCC CCCC ECCC C8CD"
	$"DCCC CCCC CCCC CCCC CCCC CCCC ECCC CCDD"
	$"DCCC CCCC CCCC CCCC CCCC CCCC ECCC CDCD"
	$"DCCC CCCC CCCC CCCC CCCC CCCC ECCC CCCD"
	$"DDDD DEEE EEEE EEEE EEEE EEEE ECCC CCCD"
	$"DCCD DDCD EEEE EEEE EEDD EEDC DDDE EECD"
	$"DCCD CDCD CE66 8833 2211 ECDC DCDC DDCD"
	$"DCCD CDCD EE66 8833 2211 EEDC DCDE EECD"
	$"DCCD CDCD 0066 8833 2211 00DC DCDC DDCD"
	$"DCCD CDCD 0066 8833 2211 00DC DCDE EECD"
	$"DCCD CDCD 0000 0000 0000 00DC DCDC CCCD"
	$"DDDD CDCE EEEE EEEE EEEE EEDC DCDD DDDD"
	$"0EED CDCE ECCC CCCC CCCE EEEC DCDE EEE0"
	$"0DDD CDDD DDDD DDDD DDDD DDDD DCDD DDD0"
	$"000D DEEE EEEE EEEE EEEE EEEE EDD0"
};

resource 'icl4' (-8190) {
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFF0"
	$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFF0"
	$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
	$"FFF2 CCCC CCCC CCCC CCCC CCCC EDDD FFFF"
	$"FFFC CCCC CCCC CCCC CCCC CCCC ECCC CFFF"
	$"FFFC CCCC CCCC CCCC CCCC CCCC ECCC CFFF"
	$"FFFC CCCC CCCC CCCC CCCC CCCC ECCC CFFF"
	$"FFFC CCCC CCCC CCCC CCCC CCCC ECCC 8FFF"
	$"FFFC CCCC CCCC CCCC CCCC CCCC ECCC CFFF"
	$"FFFC CCCC CCCC CCCC CCCC CCCC ECCC CFFF"
	$"FFFC CCCC CCCC CCCC CCCC CCCC ECCC CFFF"
	$"FFFC CCCC CCCC CCCC CCCC CCCC ECCC CFFF"
	$"FFFD DEEE EEEE EEEE EEEE EEEE ECCC CFFF"
	$"FFFD DDCD EEEE EEEE EEDD EEDC DDDE EFFF"
	$"FFFD CDCD CE66 8833 2211 ECDC DCDC DFFF"
	$"FFFD CDCD EE66 8833 2211 EEDC DCDE EFFF"
	$"FFFD CDCD 0066 8833 2211 00DC DCDC DFFF"
	$"FFFD CDCD 0066 8833 2211 00DC DCDE EFFF"
	$"FFFD CDCD 0000 0000 0000 00DC DCDC CFFF"
	$"FFFD CDCE EEEE EEEE EEEE EEDC DCDD DFFF"
	$"FFFF CDCE ECCC CCCC CCCE EEEC DCDF FFF0"
	$"0FFF FFFF FFFF FFFF FFFF FFFF FFFF FFF0"
	$"0FFF FFFF FFFF FFFF FFFF FFFF FFFF FF00"
	$"000F FFFF FFFF FFFF FFFF FFFF FFF0"
};

resource 'icl4' (-8189) {
	$"00F0 0000 0000 0000 0000 0000 0000 0F00"
	$"0FFF 0000 0000 0000 0000 0000 0000 FFF0"
	$"FFFF F000 0000 0000 0000 0000 000F FFFF"
	$"0FFF FF00 0000 0000 0000 0000 00FF FFF0"
	$"00FF FFF0 0000 0000 0000 0000 0FFF FF00"
	$"DDDF FFFF DDDD DDDD DDDD DDDD FFFF FDD0"
	$"DCCC FFFF FCCC CCCC CCCC CCCF FFFF CCD0"
	$"DCC2 CFFF FFCC CCCC CCCC CCFF FFFD DDDD"
	$"DCCC CCFF FFFC CCCC CCCC CFFF FFCC CCCD"
	$"DCCC CCCF FFFF CCCC CCCC FFFF FCCC CECD"
	$"DCCC CCCC FFFF FCCC CCCF FFFF ECCC CCCD"
	$"DCCC CCCC CFFF FFCC CCFF FFFC ECCC CCDD"
	$"DCCC CCCC CCFF FFFC CFFF FFCC ECCC C8CD"
	$"DCCC CCCC CCCF FFFF FFFF FCCC ECCC CCDD"
	$"DCCC CCCC CCCC FFFF FFFF CCCC ECCC CDCD"
	$"DCCC CCCC CCCC CFFF FFFC CCCC ECCC CCCD"
	$"DDDD DEEE EEEE EFFF FFFE EEEE ECCC CCCD"
	$"DCCD DDCD EEEE FFFF FFFF EEDC DDDE EECD"
	$"DCCD CDCD CE6F FFFF FFFF FCDC DCDC DDCD"
	$"DCCD CDCD EEFF FFF3 2FFF FFDC DCDE EECD"
	$"DCCD CDCD 0FFF FF33 22FF FFFC DCDC DDCD"
	$"DCCD CDCD FFFF F833 221F FFFF DCDE EECD"
	$"DCCD CDCF FFFF 0000 0000 FFFF FCDC CCCD"
	$"DDDD CDFF FFFE EEEE EEEE EFFF FFDD DDDD"
	$"0EED CFFF FFCC CCCC CCCE EEFF FFFE EEE0"
	$"0DDD FFFF FDDD DDDD DDDD DDDF FFFF DDD0"
	$"000F FFFF EEEE EEEE EEEE EEEE FFFF F000"
	$"00FF FFF0 0000 0000 0000 0000 0FFF FF00"
	$"0FFF FF00 0000 0000 0000 0000 00FF FFF0"
	$"FFFF F000 0000 0000 0000 0000 000F FFFF"
	$"0FFF 0000 0000 0000 0000 0000 0000 FFF0"
	$"00F0 0000 0000 0000 0000 0000 0000 0F"
};

resource 'icl8' (-8192) {
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"FAFA FAFA FAFA FAFA FAFA FAFA FAFA FAFA"
	$"FAFA FAFA FAFA FAFA FAFA FAFA FAFA FA00"
	$"FA2B F6F6 F6F6 F6F6 F6F6 F6F6 F6F6 F6F6"
	$"F6F6 F6F6 F6F6 F6F6 FBF6 F6F6 F6F6 FA00"
	$"FA2B 2B16 F5F5 F7F6 F6F6 F6F6 F6F6 F6F6"
	$"F6F6 F6F6 F6F6 F6F6 FBF8 F8F8 F8F8 F9FA"
	$"FA2B F7F8 F8F8 2BF6 F6F6 F6F6 F6F6 F6F6"
	$"F6F6 F6F6 F6F6 F6F6 FBF6 F6F6 F6F6 2BFA"
	$"FA2B F6F6 F6F6 F6F6 F6F6 F6F6 F6F6 F6F6"
	$"F6F6 F6F6 F6F6 F6F6 FBF6 F6F6 F6FB 2BFA"
	$"FA2B F6F6 F6F6 F6F6 F6F6 F6F6 F6F6 F6F6"
	$"F6F6 F6F6 F6F6 F6F6 FBF6 F6F6 2BF8 2BFA"
	$"FA2B F6F6 F6F6 F6F6 F6F6 F6F6 F6F6 F6F6"
	$"F6F6 F6F6 F6F6 F6F6 FBF6 F6F6 F8F6 F9FA"
	$"FA2B F6F6 F6F6 F6F6 F6F6 F6F6 F6F6 F6F6"
	$"F6F6 F6F6 F6F6 F6F6 FBF6 F6F6 2BE3 F7FA"
	$"FA2B F6F6 F6F6 F6F6 F6F6 F6F6 F6F6 F6F6"
	$"F6F6 F6F6 F6F6 F6F6 FBF6 F6F6 F8F6 F9FA"
	$"FA2B F6F6 F6F6 F6F6 F6F6 F6F6 F6F6 F6F6"
	$"F6F6 F6F6 F6F6 F6F6 FBF6 F6F6 2BF9 F7FA"
	$"FA2B F6F6 F6F6 F6F6 F6F6 F6F6 F6F6 F6F6"
	$"F6F6 F6F6 F6F6 F6F6 FBF6 F6F6 F6F6 2BFA"
	$"FAF9 F9F9 F9FB FBFB FBFB FBFB FBFB FBFB"
	$"FBFB FBFB FBFB FBFB FBF6 F6F6 F6F6 2BFA"
	$"FA2B F6FA FAFA F6FA FDFD FCFC FBFB FCFC"
	$"FBFB FAFA FDFD FAF6 FAFA FAFB FCFC 2BFA"
	$"FA2B F6FA F6FA F6FA F8FB EBEC BFE3 D8D7"
	$"1717 0505 FBF7 FAF6 FAF7 FAF7 F9F9 2BFA"
	$"FA2B F6FA F6F9 F6FA FBFB EBEC BFE3 D8D7"
	$"1717 0505 FBFB FAF6 F9F7 FAFB FCFC 2BFA"
	$"FA2B F6FA F6F9 F6FA 0000 ECEB E3E3 D7D7"
	$"1717 0505 0000 FAF6 F9F7 FAF7 F9F9 2BFA"
	$"FA2B F6FA F6F9 F6FA 0000 EBEC E3BF D8D7"
	$"1717 0505 0000 FAF6 F9F7 FAFB FCFC 2BFA"
	$"FA2B F6FA F6F9 F6FA 0000 0000 0000 0000"
	$"0000 0000 0000 FAF6 F9F7 FAF6 F6F6 2BFA"
	$"FAFA FAFA F6F9 F6FD FBFB FBFB FBFB FBFB"
	$"FBFB FBFB FBFB FAF6 F9F7 FAFA FAFA FAFA"
	$"00FB FCFA F6F9 F6FD FCF7 F7F7 F7F7 F7F7"
	$"F7F7 F7FC FCFC FCF6 F9F7 FAFC FCFC FB00"
	$"00FA FAFA F6F9 FAFA FAFA FAFA FAFA FAFA"
	$"FAFA FAFA FAFA FAFA F9F7 FAFA FAFA FA00"
	$"0000 00FA FAFB FBFB FBFB FBFB FBFB FBFB"
	$"FBFB FBFB FBFB FBFB FBFA FA"
};

resource 'icl8' (-8190) {
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
	$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FF00"
	$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
	$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FF00"
	$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
	$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
	$"FFFF FF16 F5F5 F7F6 F6F6 F6F6 F6F6 F6F6"
	$"F6F6 F6F6 F6F6 F6F6 FBF8 F8F8 FFFF FFFF"
	$"FFFF FFF8 F8F8 2BF6 F6F6 F6F6 F6F6 F6F6"
	$"F6F6 F6F6 F6F6 F6F6 FBF6 F6F6 F6FF FFFF"
	$"FFFF FFF6 F6F6 F6F6 F6F6 F6F6 F6F6 F6F6"
	$"F6F6 F6F6 F6F6 F6F6 FBF6 F6F6 F6FF FFFF"
	$"FFFF FFF6 F6F6 F6F6 F6F6 F6F6 F6F6 F6F6"
	$"F6F6 F6F6 F6F6 F6F6 FBF6 F6F6 2BFF FFFF"
	$"FFFF FFF6 F6F6 F6F6 F6F6 F6F6 F6F6 F6F6"
	$"F6F6 F6F6 F6F6 F6F6 FBF6 F6F6 E3FF FFFF"
	$"FFFF FFF6 F6F6 F6F6 F6F6 F6F6 F6F6 F6F6"
	$"F6F6 F6F6 F6F6 F6F6 FBF6 F6F6 2BFF FFFF"
	$"FFFF FFF6 F6F6 F6F6 F6F6 F6F6 F6F6 F6F6"
	$"F6F6 F6F6 F6F6 F6F6 FBF6 F6F6 F8FF FFFF"
	$"FFFF FFF6 F6F6 F6F6 F6F6 F6F6 F6F6 F6F6"
	$"F6F6 F6F6 F6F6 F6F6 FBF6 F6F6 2BFF FFFF"
	$"FFFF FFF6 F6F6 F6F6 F6F6 F6F6 F6F6 F6F6"
	$"F6F6 F6F6 F6F6 F6F6 FBF6 F6F6 F6FF FFFF"
	$"FFFF FFF9 F9FB FBFB FBFB FBFB FBFB FBFB"
	$"FBFB FBFB FBFB FBFB FBF6 F6F6 F6FF FFFF"
	$"FFFF FFFA FAFA F6FA FDFD FCFC FBFB FCFC"
	$"FBFB FAFA FDFD FAF6 FAFA FAFB FCFF FFFF"
	$"FFFF FFFA F6FA F6FA F8FB EBEC BFE3 D8D7"
	$"1717 0505 FBF7 FAF6 FAF7 FAF7 F9FF FFFF"
	$"FFFF FFFA F6F9 F6FA FBFB EBEC BFE3 D8D7"
	$"1717 0505 FBFB FAF6 F9F7 FAFB FCFF FFFF"
	$"FFFF FFFA F6F9 F6FA 0000 ECEB E3E3 D7D7"
	$"1717 0505 0000 FAF6 F9F7 FAF7 F9FF FFFF"
	$"FFFF FFFA F6F9 F6FA 0000 EBEC E3BF D8D7"
	$"1717 0505 0000 FAF6 F9F7 FAFB FCFF FFFF"
	$"FFFF FFFA F6F9 F6FA 0000 0000 0000 0000"
	$"0000 0000 0000 FAF6 F9F7 FAF6 F6FF FFFF"
	$"FFFF FFFA F6F9 F6FD FBFB FBFB FBFB FBFB"
	$"FBFB FBFB FBFB FAF6 F9F7 FAFA FAFF FFFF"
	$"FFFF FFFF F6F9 F6FD FCF7 F7F7 F7F7 F7F7"
	$"F7F7 F7FC FCFC FCF6 F9F7 FAFF FFFF FF00"
	$"00FF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
	$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FF00"
	$"00FF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
	$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF 0000"
	$"0000 00FF FFFF FFFF FFFF FFFF FFFF FFFF"
	$"FFFF FFFF FFFF FFFF FFFF FF"
};

resource 'icl8' (-8189) {
	$"0000 FF00 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 00FF 0000"
	$"00FF FFFF 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 FFFF FF00"
	$"FFFF FFFF FF00 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 00FF FFFF FFFF"
	$"00FF FFFF FFFF 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 FFFF FFFF FF00"
	$"0000 FFFF FFFF FF00 0000 0000 0000 0000"
	$"0000 0000 0000 0000 00FF FFFF FFFF 0000"
	$"FAFA FAFF FFFF FFFF FAFA FAFA FAFA FAFA"
	$"FAFA FAFA FAFA FAFA FFFF FFFF FFFA FA00"
	$"FA2B F6F6 FFFF FFFF FFF6 F6F6 F6F6 F6F6"
	$"F6F6 F6F6 F6F6 F6FF FFFF FFFF F6F6 FA00"
	$"FA2B 2B16 F5FF FFFF FFFF F6F6 F6F6 F6F6"
	$"F6F6 F6F6 F6F6 FFFF FFFF FFF8 F8F8 F9FA"
	$"FA2B F7F8 F8F8 FFFF FFFF FFF6 F6F6 F6F6"
	$"F6F6 F6F6 F6FF FFFF FFFF F6F6 F6F6 2BFA"
	$"FA2B F6F6 F6F6 F6FF FFFF FFFF F6F6 F6F6"
	$"F6F6 F6F6 FFFF FFFF FFF6 F6F6 F6FB 2BFA"
	$"FA2B F6F6 F6F6 F6F6 FFFF FFFF FFF6 F6F6"
	$"F6F6 F6FF FFFF FFFF FBF6 F6F6 2BF8 2BFA"
	$"FA2B F6F6 F6F6 F6F6 F6FF FFFF FFFF F6F6"
	$"F6F6 FFFF FFFF FFF6 FBF6 F6F6 F8F6 F9FA"
	$"FA2B F6F6 F6F6 F6F6 F6F6 FFFF FFFF FFF6"
	$"F6FF FFFF FFFF F6F6 FBF6 F6F6 2BBF F7FA"
	$"FA2B F6F6 F6F6 F6F6 F6F6 F6FF FFFF FFFF"
	$"FFFF FFFF FFF6 F6F6 FBF6 F6F6 F8F6 F9FA"
	$"FA2B F6F6 F6F6 F6F6 F6F6 F6F6 FFFF FFFF"
	$"FFFF FFFF F6F6 F6F6 FBF6 F6F6 2BF9 F7FA"
	$"FA2B F6F6 F6F6 F6F6 F6F6 F6F6 F6FF FFFF"
	$"FFFF FFF6 F6F6 F6F6 FBF6 F6F6 F6F6 2BFA"
	$"FAF9 F9F9 F9FB FBFB FBFB FBFB FBFF FFFF"
	$"FFFF FFFB FBFB FBFB FBF6 F6F6 F6F6 2BFA"
	$"FA2B F6FA FAFA F6FA FDFD FCFC FFFF FFFF"
	$"FFFF FFFF FDFD FAF6 FAFA FAFB FCFC 2BFA"
	$"FA2B F6FA F6FA F6FA F8FB EBFF FFFF FFFF"
	$"FFFF FFFF FFF7 FAF6 FAF7 FAF7 F9F9 2BFA"
	$"FA2B F6FA F6F9 F6FA FBFB FFFF FFFF FFD7"
	$"17FF FFFF FFFF FAF6 F9F7 FAFB FCFC 2BFA"
	$"FA2B F6FA F6F9 F6FA 00FF FFFF FFFF D7D7"
	$"1717 FFFF FFFF FFF6 F9F7 FAF7 F9F9 2BFA"
	$"FA2B F6FA F6F9 F6FA FFFF FFFF FFBF D8D7"
	$"1717 05FF FFFF FFFF F9F7 FAFB FCFC 2BFA"
	$"FA2B F6FA F6F9 F6FF FFFF FFFF 0000 0000"
	$"0000 0000 FFFF FFFF FFF7 FAF6 F6F6 2BFA"
	$"FAFA FAFA F6F9 FFFF FFFF FFFB FBFB FBFB"
	$"FBFB FBFB FBFF FFFF FFFF FAFA FAFA FAFA"
	$"00FB FCFA F6FF FFFF FFFF F7F7 F7F7 F7F7"
	$"F7F7 F7FC FCFC FFFF FFFF FFFC FCFC FB00"
	$"00FA FAFA FFFF FFFF FFFA FAFA FAFA FAFA"
	$"FAFA FAFA FAFA FAFF FFFF FFFF FAFA FA00"
	$"0000 00FF FFFF FFFF FBFB FBFB FBFB FBFB"
	$"FBFB FBFB FBFB FBFB FFFF FFFF FF00 0000"
	$"0000 FFFF FFFF FF00 0000 0000 0000 0000"
	$"0000 0000 0000 0000 00FF FFFF FFFF 0000"
	$"00FF FFFF FFFF 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 FFFF FFFF FF00"
	$"FFFF FFFF FF00 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 00FF FFFF FFFF"
	$"00FF FFFF 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 FFFF FF00"
	$"0000 FF00 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 00FF"
};

resource 'ICN#' (-8192) {
	{	/* array: 2 elements */
		/* [1] */
		$"0000 0000 0000 0000 0000 0000 0000 0000"
		$"0000 0000 FFFF FFFE 8000 0082 9000 00FF"
		$"8000 0081 8000 0085 8000 0081 8000 0085"
		$"8000 0081 8000 0081 8000 0085 8000 0081"
		$"FFFF FF81 9DC0 0EFD 9540 0AA1 95C0 0EBD"
		$"9500 02A1 9500 02BD 9500 02A1 F5FF FEBF"
		$"5580 1EA2 77FF FFBE 1FFF FFE0",
		/* [2] */
		$"0000 0000 0000 0000 0000 0000 0000 0000"
		$"0000 0000 FFFF FFFE FFFF FFFE FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"7FFF FFFE 7FFF FFFE 1FFF FFE0"
	}
};

resource 'ICN#' (-8190) {
	{	/* array: 2 elements */
		/* [1] */
		$"0000 0000 0000 0000 0000 0000 0000 0000"
		$"FFFF FFFE FFFF FFFE FFFF FFFF F000 00FF"
		$"E000 0087 E000 0087 E000 0087 E000 0087"
		$"E000 0087 E000 0087 E000 0087 E000 0087"
		$"FFFF FF87 FDC0 0EFF F540 0AA7 F5C0 0EBF"
		$"F500 02A7 F500 02BF F500 02A7 F5FF FEBF"
		$"F580 1EBE 7FFF FFFE 7FFF FFFC 1FFF FFE0",
		/* [2] */
		$"0000 0000 0000 0000 0000 0000 0000 0000"
		$"FFFF FFFE FFFF FFFE FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFE 7FFF FFFE 7FFF FFFC 1FFF FFE0"
	}
};

resource 'ICN#' (-8189) {
	{	/* array: 2 elements */
		/* [1] */
		$"2000 0004 7000 000E F800 001F 7C00 003E"
		$"3E00 007C FFFF FFFE 8F80 01F2 97C0 03FF"
		$"83E0 07C1 81F0 0F85 80F8 1F81 807C 3E85"
		$"803E 7C81 801F F881 800F F085 8007 E081"
		$"FFFF FF81 9DCF FEFD 955F FAA1 95FE 7EBD"
		$"957C 3EA1 95F8 1FBD 95F0 0FA1 F7FF FFFF"
		$"57C0 1FE2 7FFF FFFE 1FFF FFF8 3E00 007C"
		$"7C00 003E F800 001F 7000 000E 2000 0004",
		/* [2] */
		$"2000 0004 7000 000E F800 001F 7C00 003E"
		$"3E00 007C FFFF FFFE FFFF FFFE FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"7FFF FFFE 7FFF FFFE 1FFF FFF8 3E00 007C"
		$"7C00 003E F800 001F 7000 000E 2000 0004"
	}
};

resource 'ICON' (-8192) {
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 FFFF FFFE 8000 0082 9000 00FF"
	$"8000 0081 8000 0085 8000 0081 8000 0085"
	$"8000 0081 8000 0081 8000 0085 8000 0081"
	$"FFFF FF81 9DC0 0EFD 9540 0AA1 95C0 0EBD"
	$"9500 02A1 9500 02BD 9500 02A1 F5FF FEBF"
	$"5580 1EA2 77FF FFBE 1FFF FFE0"
};

resource 'ICON' (-4092) {
	$"0001 8000 0002 C000 0005 6000 000A B000"
	$"0015 5800 002A AC00 0055 5600 00AA AB00"
	$"01D5 5580 03EA AA40 07F5 5420 0FFA A810"
	$"1FFD 5008 3FFE A004 7FFF 4002 FFFF 8001"
	$"FFFF 4001 7FFE A002 3FFD 5004 1FFA A808"
	$"0FF5 5410 07EA AA20 03D5 5540 01AA AA80"
	$"00D5 5500 006A AA00 0035 5400 001A A800"
	$"000D 5000 0006 A000 0003 4000 0001 80"
};

resource 'ICON' (-4091) {
	$"FFFF FFFF 8000 0001 8000 0001 8000 0001"
	$"80FF C001 8080 6001 8080 5001 8080 4801"
	$"8080 4401 8080 7E01 8080 0201 8080 0201"
	$"8080 0201 8080 0201 8080 0201 8080 0201"
	$"8080 0201 8080 0201 8F80 03E1 8880 0221"
	$"8880 0239 88FF FE29 8800 0029 8800 0029"
	$"8800 0039 8800 0021 8800 0021 8FFF FFE1"
	$"8000 0001 8000 0001 8000 0001 FFFF FFFF"
};

resource 'ICON' (-4090) {
	$"FFFF FFFF 8000 0001 8000 0001 8000 0031"
	$"8000 0049 81C0 0049 8220 0131 8410 0081"
	$"8810 0641 8808 0901 9008 0901 9008 2601"
	$"9010 1001 9060 C801 8881 2001 8881 2001"
	$"8484 C001 8442 0001 8221 0001 8210 0E01"
	$"8108 1181 8084 2041 8042 2021 8021 C021"
	$"8010 0021 800C 0041 8003 0081 8000 C301"
	$"8000 3C01 8000 0001 8000 0001 FFFF FFFF"
};

resource 'ics#' (-8192) {
	{	/* array: 2 elements */
		/* [1] */
		$"0000 0000 FFFE 800F 8009 8009 8009 8009"
		$"FFFF AC35 A815 AFF5 EFF7 3FFC",
		/* [2] */
		$"0000 0000 FFFE FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF 3FFC"
	}
};

resource 'ics#' (-8190) {
	{	/* array: 2 elements */
		/* [1] */
		$"0000 FFFE FFFF C00F C00B C00B C00B C00B"
		$"FFFF EC37 E817 EFF7 EFF7 FFFF 3FFC",
		/* [2] */
		$"0000 0000 FFFE FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF 3FFC"
	}
};

resource 'ics#' (-8189) {
	{	/* array: 2 elements */
		/* [1] */
		$"4002 E007 FFFE B81F 9C39 8E79 87E9 83C9"
		$"FFFF AFF5 AE75 BFFD FFFF 7FFE E007 4002",
		/* [2] */
		$"4002 E007 FFFE FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF 7FFE E007 4002"
	}
};

resource 'ics4' (-8192) {
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"DDDD DDDD DDDD DDD0 DCCC CCCC CCCC ECCD"
	$"DCCC CCCC CCCC ECED DCCC CCCC CCCC ECCD"
	$"DCCC CCCC CCCC ECDD DCCC CCCC CCCC ECDD"
	$"DDEE EEEE EEEE EEED DCDC E683 21ED CECD"
	$"DCDC D683 210D CECD DCDC EEEE EEED CDCD"
	$"EEDC EDDD DEEE CEEE 00EE EEEE EEEE ED"
};

resource 'ics4' (-8190) {
	$"0000 0000 0000 0000 FFFF FFFF FFFF FFF0"
	$"FFFF FFFF FFFF FFFF FFCC CCCC CCCC ECFF"
	$"FFCC CCCC CCCC ECFF FFCC CCCC CCCC ECFF"
	$"FFCC CCCC CCCC ECFF FFCC CCCC CCCC ECFF"
	$"FFEE EEEE EEEE EEFF FFDC E683 21ED CEFF"
	$"FFDC D683 210D CEFF FFDC EEEE EEED CDFF"
	$"FFDC EDDD DEEE CEFF FFFF FFFF FFFF FFFF"
	$"00FF FFFF FFFF FF"
};

resource 'ics4' (-8189) {
	$"0F00 0000 0000 00F0 FFF0 0000 0000 0FFF"
	$"DFFF DDDD DDDD FFF0 DCFF FCCC CCCF FFCD"
	$"DCCF FFCC CCFF FCED DCCC FFFC CFFF ECCD"
	$"DCCC CFFF FFFC ECDD DCCC CCFF FFCC ECDD"
	$"DDEE EEFF FFEE EEED DCDC EFFF FFFD CECD"
	$"DCDC FFF3 2FFF CECD DCDF FFEE EEFF FDCD"
	$"EEFF FDDD DEEF FFEE 0FFF EEEE EEEE FFF0"
	$"FFF0 0000 0000 0FFF 0F00 0000 0000 00F0"
};

resource 'ics8' (-8192) {
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"FAFA FAFA FAFA FAFA FAFA FAFA FAFA FA00"
	$"FAF6 F6F6 F6F6 F6F6 F6F6 F6F6 FBF8 F8FA"
	$"FAF6 F6F6 F6F6 F6F6 F6F6 F6F6 FBF6 FBFA"
	$"FAF6 F6F6 F6F6 F6F6 F6F6 F6F6 FBF6 F8FA"
	$"FAF6 F6F6 F6F6 F6F6 F6F6 F6F6 FBF6 F9FA"
	$"FAF6 F6F6 F6F6 F6F6 F6F6 F6F6 FBF6 F9FA"
	$"FAFA FBFB FCFC FCFC FCFC FCFC FBFB FCFA"
	$"FAF6 FAF6 FBEC E3D8 1705 FBFA F6FB F6FA"
	$"FAF6 F9F6 FAEC E3D8 1705 00FA F6FB F6FA"
	$"FAF6 F9F6 FBFB FBFB FBFB FBFA F6FA F6FA"
	$"FBFC F9F6 FCFA FAFA FAFC FCFC F6FC FCFB"
	$"0000 FBFB FBFB FBFB FBFB FBFB FBFA"
};

resource 'ics8' (-8190) {
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FF00"
	$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
	$"FFFF F6F6 F6F6 F6F6 F6F6 F6F6 FBF8 FFFF"
	$"FFFF F6F6 F6F6 F6F6 F6F6 F6F6 FBF6 FFFF"
	$"FFFF F6F6 F6F6 F6F6 F6F6 F6F6 FBF6 FFFF"
	$"FFFF F6F6 F6F6 F6F6 F6F6 F6F6 FBF6 FFFF"
	$"FFFF F6F6 F6F6 F6F6 F6F6 F6F6 FBF6 FFFF"
	$"FFFF FBFB FCFC FCFC FCFC FCFC FBFB FFFF"
	$"FFFF FAF6 FBEC E3D8 1705 FBFA F6FB FFFF"
	$"FFFF F9F6 FAEC E3D8 1705 00FA F6FB FFFF"
	$"FFFF F9F6 FBFB FBFB FBFB FBFA F6FA FFFF"
	$"FFFF F9F6 FCFA FAFA FAFC FCFC F6FC FFFF"
	$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
	$"0000 FFFF FFFF FFFF FFFF FFFF FFFF"
};

resource 'ics8' (-8189) {
	$"00FF 0000 0000 0000 0000 0000 0000 FF00"
	$"FFFF FF00 0000 0000 0000 0000 00FF FFFF"
	$"FAFF FFFF FAFA FAFA FAFA FAFA FFFF FF00"
	$"FAF6 FFFF FFF6 F6F6 F6F6 F6FF FFFF F8FA"
	$"FAF6 F6FF FFFF F6F6 F6F6 FFFF FFF6 FBFA"
	$"FAF6 F6F6 FFFF FFF6 F6FF FFFF FBF6 F8FA"
	$"FAF6 F6F6 F6FF FFFF FFFF FFF6 FBF6 F9FA"
	$"FAF6 F6F6 F6F6 FFFF FFFF F6F6 FBF6 F9FA"
	$"FAFA FBFB FCFC FFFF FFFF FCFC FBFB FCFA"
	$"FAF6 FAF6 FBFF FFFF FFFF FFFA F6FB F6FA"
	$"FAF6 F9F6 FFFF FFD8 17FF FFFF F6FB F6FA"
	$"FAF6 F9FF FFFF FBFB FBFB FFFF FFFA F6FA"
	$"FBFC FFFF FFFA FAFA FAFC FCFF FFFF FCFB"
	$"00FF FFFF FBFB FBFB FBFB FBFB FFFF FF00"
	$"FFFF FF00 0000 0000 0000 0000 00FF FFFF"
	$"00FF 0000 0000 0000 0000 0000 0000 FF"
};

resource 'SICN' (-4096, purgeable) {
	{	/* array: 1 elements */
		/* [1] */
		$"0000 0000 FFFE 800F 8009 8009 8009 8009"
		$"FFFF AC35 A815 AFF5 EFF7 3FFC"
	}
};

resource 'vers' (1, purgeable) {
	0x1,
	0x0,
	development,
	0x0,
	verUS,
	"1.0d0",
	"1.0d0, Copyright Apple Computer, Inc. 19"
	"98"
};

#endif
