/*
	File:		ShimSerialHAL.h

	Contains:	Definitions for the Modem Serial Driver

	Version:	xxx put version here xxx


				
	Copyright:	 1995-1998 by Apple Computer, Inc., all rights reserved.

*/

#ifndef	_SHIMSERIALHAL_
#define	_SHIMSERIALHAL_

//	masks for getting & setting serial config info

#define kSerConfigBaudMask			0x03FF
#define kSerConfigLenMask			0x0C00
#define kSerConfigParityMask		0x3000
#define kSerConfigStopMask			0xC000

#define kpciGetDCD					256

/********************************************************************************************/
//
//	Prototypes
//
/********************************************************************************************/

OSErr 	SerHAL_Entry(UInt16 HdwSelector, ParmBlkPtr pb, UInt32 RefCon);

OSErr	HAL_SetConfiguration(UInt16 config);
OSErr	HAL_SetInputBuffer(Ptr newBuf, UInt16 bufLen);
void 	HAL_SetFlowControl(SerShk *shkNew, UInt16 csCode);
void	HAL_SendXOn(Boolean always);
void	HAL_SendXOff(Boolean always);
void 	HAL_SetXOffFlag(Boolean state);
void	HAL_GetStatus(SerStaRec *statRec);
UInt32	HAL_GetBuffer(void);
UInt16	HAL_SetDTERate(UInt32 baudRate);
void	HAL_SetParity(Boolean alt, char peChar, char peAltChar);
OSErr 	HAL_FillReadRequest(IOParam *pb);
void 	HAL_EnableSerialDevice(void);
void 	HAL_DisableSerialDevice(void);
void 	HAL_InputFlowControl(void);
void 	HAL_EnableInput(Boolean enable);
void 	HAL_EnableOutput(void);
OSErr	HAL_DoOpenSession(void);
OSErr	HAL_DoCloseSession(void);
OSErr 	HAL_ControlExtend(ParmBlkPtr pb);
OSErr 	HAL_StatusExtend(ParmBlkPtr pb);
void 	HAL_ShimInput(UInt8 *buf, UInt32 count);

#endif