/*
	File:		StorageClassUTDriver.h

	Contains:	This file contains all symbols that are exported to the system,
				and all Macros that are used throughout the driver.

	Version:	1.1

	Copyright:	 1998-1999 by Apple Computer, Inc., all rights reserved.

*/

#ifndef __STORAGECLASSUTDRIVER__
#define __STORAGECLASSUTDRIVER__

#include <DriverServices.h>

//------------------------------------------------------------------------------
//	Debugging Macros-
//	This will turn DebugStr's on and off throughout the driver
//----------------------------------------------------------------------------------
#ifndef Include_Debugging
	#define Include_Debugging 0			// Set to 1 to enable debugging
#endif

#if Include_Debugging
	#define IfDebugging(str)	SysDebugStr(str)
#else
	#define IfDebugging(str)
#endif

//----------------------------------------------------------------------------------
//	The Driver Description structure -
// 	This structure provides the Device Manager with information about our native driver
//----------------------------------------------------------------------------------

extern DriverDescription TheDriverDescription;


//----------------------------------------------------------------------------------
//	The DoDriverIO Function -
// 	This function is the only entry to our driver from the Device Manager
//----------------------------------------------------------------------------------

extern OSStatus DoDriverIO(	AddressSpaceID		addressSpaceID,
							IOCommandID			ioCommandID,
							IOCommandContents	ioCommandContents,
							IOCommandCode		ioCommandCode,
							IOCommandKind		ioCommandKind );



extern OSStatus FinishCommandProcessing( 	IOCommandID ioCommandID,
											IOCommandKind ioCommandKind,
											OSStatus incomingStatus );

#endif /* __STORAGECLASSUTDRIVER__ */
