/*
	File:		StorageClassUTFunctions.h

	Contains:	All prototypes for entry points used by DoDriverIO

	Version:	1.1

	Copyright:	 1998-1999 by Apple Computer, Inc., all rights reserved.

*/


#ifndef __STORAGECLASSUTFUNCTIONS__
#define __STORAGECLASSUTFUNCTIONS__

#include <DriverServices.h>

//----------------------------------------------------------------------------------
//	DoDriverIO Functions Prototypes - 
// 	These are the functions to carry out the requests sent to DoDriverIO
//----------------------------------------------------------------------------------

extern OSStatus DriverInitializeCmd( AddressSpaceID addressSpaceID, DriverInitInfoPtr initialInfo);
extern OSStatus DriverFinalizeCmd( DriverFinalInfoPtr finalInfo);
extern OSStatus DriverSupersededCmd( DriverSupersededInfoPtr supersededInfo);
extern OSStatus DriverReplaceCmd( AddressSpaceID addressSpaceID, DriverReplaceInfoPtr replaceInfo);
extern OSStatus DriverOpenCmd( AddressSpaceID addressSpaceID, ParmBlkPtr pb);
extern OSStatus DriverCloseCmd( ParmBlkPtr pb);
extern OSStatus DriverControlCmd( AddressSpaceID addressSpaceID, IOCommandID ioCommandID, IOCommandKind	ioCommandKind, ParmBlkPtr pb);
extern OSStatus DriverStatusCmd( AddressSpaceID addressSpaceID, IOCommandID ioCommandID, IOCommandKind ioCommandKind, ParmBlkPtr pb);
extern OSStatus DriverReadCmd( AddressSpaceID addressSpaceID, IOCommandID ioCommandID, IOCommandKind ioCommandKind, ParmBlkPtr pb);
extern OSStatus DriverWriteCmd( AddressSpaceID addressSpaceID, IOCommandID ioCommandID, IOCommandKind ioCommandKind, ParmBlkPtr pb);
extern OSStatus DriverKillIOCmd( ParmBlkPtr pb);

#endif	/* __STORAGECLASSUTFUNCTIONS__ */

