#
#	File:		USBTabletModule.make
#
#	Contains:	Make for for USB Wacom HID module
#
#	Version:	xxx put version here xxx
#
#	Copyright:	 1997-1998 by Apple Computer, Inc., all rights reserved.
#

MAKEFILE     = USBTabletModule.make
MondoBuild = {MAKEFILE}  # Make blank to avoid rebuilds when makefile is modified
Includes     = -i {USBInterfacesInternal},{USBInterfacesExternal}
SymPPC      = -sym on 
USBTabletModuleTarget	= {USBTargets}Drivers:USBHIDUSBTabletModule

PPCCOptions  = {Includes} {SymPPC}   {NeptuneCOptions}

LinkPPC		=	PPCLink

ObjectsPPC	=	"{USBObjects}USBTabletModule.c.o"				
				"{USBObjects}USBTabletModuleHeader.c.o" 		
				"{USBObjects}USBTabletModuleCDM.c.o"
				
USBTabletModule  "{USBReleaseExtensions}USBHIDUSBTabletModule"  

"{USBReleaseExtensions}USBHIDUSBTabletModule"   "{USBTabletModuleTarget}" 
		duplicate -y "{USBTabletModuleTarget}"  {Targ}
		
{USBTabletModuleTarget}		{MondoBuild}  {ObjectsPPC}	 "{USBInterfacesInternal}USBHIDModule.exp"
	delete -i "{Targ}.xcoff"
	delete -i "{Targ}.dbg"
	{LinkPPC}												
		-map "{USBMapDir}USBHIDUSBTabletModule.map" 				
		-t 'ndrv'											
		-c 'usbd'											
		-o {USBTabletModuleTarget} {SymPPC} 					
		{ObjectsPPC} 										
		-xm sharedlibrary									
		-share context										
		-@export "{USBInterfacesInternal}USBHIDModule.exp"	
		"{USBLibraries}USBServicesLib" 						
		"{SharedLibraries}InterfaceLib" 					
		"{StubLibsDir}CursorDevicesLib"						
		"{PPCLibraries}PPCCRuntime.o"


{USBTabletModuleTarget}		"{USBInterfacesInternal}PackageVersion.h"	
						"USBTabletModuleVersion.h"				
						"USBTabletModule.r"						
						{MondoBuild}
	Rez														
		-i "{USBInterfacesInternal}"						
		-i "{RIncludes}"									
		"{RIncludes}Types.r"								
		"USBTabletModule.r"										
		-a													
		-o {Targ}
		
"{USBObjects}USBTabletModuleHeader.c.o"		"USBTabletModuleHeader.c"			
										"{USBInterfacesExternal}USB.h"	
										"{USBInterfacesInternal}PackageVersion.h"			
										"USBTabletModuleVersion.h"			
										"USBTabletModule.h"						
	{PPCC} USBTabletModuleHeader.c -o {Targ} {PPCCOptions}

"{USBObjects}USBTabletModule.c.o"		"USBTabletModule.c"						
										"{USBInterfacesExternal}USB.h"	
										"USBTabletModule.h"
	{PPCC} USBTabletModule.c -o {Targ} {PPCCOptions}

"{USBObjects}USBTabletModuleCDM.c.o"		"USBTabletModuleCDM.c"					
									"{USBInterfacesExternal}USB.h"		
									"USBTabletModule.h"
	{PPCC} USBTabletModuleCDM.c -o {Targ} {PPCCOptions}

Clean 
	Delete -i {ObjectsPPC}
	Delete -i {USBTabletModuleTarget} 
	Delete -i "{USBReleaseExtensions}USBHIDUSBTabletModule"