/*
 	File:		DeviceManagerSupport.h
 
 	Contains:	Device Manager Interfaces.
 
 	Version:	Sustem 7.5 and 8
 
 	DRI:		Larry Chiu
 
 	Copyright:	 1984-1996 by Apple Computer, Inc.
 				All rights reserved.
 
 	Warning:	*** APPLE INTERNAL USE ONLY ***
 				This file may contain unreleased API's
 
 	BuildInfo:	Built by:			SuperMario Build Daemon
 				With Interfacer:	2.0d10   (PowerPC native)
 				From:				DeviceManagerSupport.i
 					Revision:		3
 					Dated:			1/24/96
 					Last change by:	lch
 					Last comment:	Add INIT_DSL and TERM_DSL as export.
 
 	Bugs:		Report bugs to Radar component System Interfaces, Latest
 				List the version information (from above) in the Problem Description.
 
*/
#ifndef __DEVICEMANAGERSUPPORT__
#define __DEVICEMANAGERSUPPORT__

#ifndef __CONDITIONALMACROS__
#include <ConditionalMacros.h>
#endif
#ifndef __TYPES__
#include <Types.h>
#endif
#ifndef __DEVICES__
#include <Devices.h>
#endif
#ifndef __CODEFRAGMENTS__
#include <CodeFragments.h>
#endif

#ifdef __cplusplus
extern "C" {
#endif

#if PRAGMA_IMPORT_SUPPORTED
#pragma import on
#endif

#if PRAGMA_ALIGN_SUPPORTED
#pragma options align=mac68k
#endif

/* callback function to family from IOCommandIsComplete*/
typedef OSErr (*IOCompleteEntryPointPtr)(IOCommandID ID, OSErr result, ParmBlkPtr thePB);
extern OSErr RegisterDoDriverIO(IOCommandID *theID, ParmBlkPtr thePB, IOCompleteEntryPointPtr returnAddr);

extern OSErr IOCommandIsComplete(IOCommandID theID, OSErr theResult);

extern OSErr GetIOCommandInfo(IOCommandID theID, IOCommandContents *theContents, IOCommandCode *theCommand, IOCommandKind *theKind);

extern OSErr INIT_DSL(CFragInitBlockPtr theCFMInitBlockPtr);

extern void TERM_DSL(void );


#if PRAGMA_ALIGN_SUPPORTED
#pragma options align=reset
#endif

#if PRAGMA_IMPORT_SUPPORTED
#pragma import off
#endif

#ifdef __cplusplus
}
#endif

#endif /* __DEVICEMANAGERSUPPORT__ */

