/*										DumpLog.r									*/
/*
 * DumpLog.r
 * Copyright  1993-95 Apple Computer Inc. All rights reserved.
 */
#ifndef SystemSevenOrLater
#define SystemSevenOrLater	1
#endif
#include "Types.r"
#include "SysTypes.r"
#include "DumpLog.h"
#ifndef ISPPC
   << Error, ISPPC must be defined to configure 'cfrg' resource >>
#endif

#if ISPPC
#include "CodeFragmentTypes.r"
#endif

resource 'vers' (1) {
	kVersionMajor, kVersionMinor, kVersionStage, kVersionRelease, verUS,
	$$format(
		"%d.%d%c%d",
		kVersionMajor, kVersionMinor, kVersionStageLetter, kVersionRelease
	),
	$$format(
		"%d.%d%c%d (%4d.%02d.%02d)\n 1992-%4d Apple Computer Inc. All Rights Reserved",
		kVersionMajor, kVersionMinor, kVersionStageLetter, kVersionRelease,
		$$year, $$month, $$day, $$year
	),
};

#ifdef kApplicationCreator
type kApplicationCreator as 'STR ';
resource kApplicationCreator (0, "Owner Resource", purgeable) {
	"Display Log Application."
	" Copyright  1992-95 Apple Computer Inc. All Rights Reserved."
};
#endif

resource 'MBAR' (MBAR_MenuBar) {
	{
		MENU_Apple,
		MENU_File,
		MENU_Edit
	}
};

resource 'MENU' (MENU_Apple, "Apple Menu") {
	MENU_Apple,
	textMenuProc,
	0x7FFFFFFD,
	enabled,
	apple,
	{
		"About DumpLog", noIcon, noKey, noMark, plain,
		"-", noIcon, noKey, noMark, plain
	}
};

resource 'MENU' (MENU_File, "File Menu") {
	MENU_File,
	textMenuProc,
	0x0,
	enabled,
	"File",
	{
		"Quit",					noIcon, "Q", 	noMark, plain
	}
};

resource 'MENU' (MENU_Edit, "Edit Menu") {
	MENU_Edit,
	textMenuProc,
	0x0,
	enabled,
	"Edit",
	{	/* array: 6 elements */
		"Undo", noIcon, "Z", noMark, plain,
		"-", noIcon, noKey, noMark, plain,
		"Cut", noIcon, "X", noMark, plain,
		"Copy", noIcon, "C", noMark, plain,
		"Paste", noIcon, "V", noMark, plain,
		"Clear", noIcon, noKey, noMark, plain
	}
};

#if 0
resource 'WIND' (WIND_Document, "Main Window") {
		{ 0, 0, kMinWindowHeight, kMinWindowWidth },
		zoomDocProc,
		invisible,
		goAway,
		0x0,
		"untitled",	/* The log identifier will be stored in the window title		*/
#if SystemSevenOrLater
		noAutoCenter,
#endif
};
#endif

resource 'DITL' (DLOG_About, "About Dump Log") {
	{
		{100, 260, 120, 322}, Button		{ enabled,	"OK"					},
		{ 10,  10,  96, 324}, StaticText	{ disabled,
			"Dump Log monitors DisplayLog records.\n"
			"Written by Martin Minow, Developer Technical Support.\n"
			"Copyright  1992-95 Apple Computer Inc."
			" All rights reserved."
		},
	}
};

resource 'ALRT' (ALRT_NonFatalError, "System Error", purgeable) {
		{100, 80, 230, 422},
		ALRT_NonFatalError,
		{
			OK, visible, silent,
			OK, visible, silent,
			OK, visible, silent,
			OK, visible, silent
		},
#if SystemSevenOrLater
		alertPositionParentWindow,
#endif
};

resource 'DITL' (ALRT_NonFatalError, "System Error", purgeable) {
	{
		{100, 160, 120, 208}, Button		{ enabled,	"Exit"					},
		{100, 236, 120, 320}, Button		{ enabled,	"Continue"				},
		{ 10, 110,  96, 324}, StaticText	{ disabled, "System Error ^0. ^1"	},
		{ 47,  20,  64,  80}, StaticText	{ disabled, "Error"					}
	}
};

resource 'ALRT' (ALRT_FatalError, "Fatal Error", purgeable) {
		{100, 80, 230, 422},
		ALRT_FatalError,
		{
			OK, visible, silent,
			OK, visible, silent,
			OK, visible, silent,
			OK, visible, silent
		},
#if SystemSevenOrLater
		alertPositionParentWindow,
#endif
};

resource 'DITL' (ALRT_FatalError, "Fatal Error", purgeable) {
	{
		{100, 240, 120, 322}, Button		{ enabled,	"Exit"					},
		{ 10, 110,  96, 324}, StaticText	{ disabled,
										"System Error (cannot recover) ^0. ^1"	},
		{ 47,  20,  64,  80}, StaticText	{ disabled, "Error"					}
	}
};

resource 'SIZE' (-1) {
	reserved,
	acceptSuspendResumeEvents,
	reserved,
	canBackground,
	multiFinderAware,
	backgroundAndForeground,
	dontGetFrontClicks,
	ignoreChildDiedEvents,
	is32BitCompatible,
	isHighLevelEventAware,
	onlyLocalHLEvents,
	notStationeryAware,
	dontUseTextEditServices,
	reserved,
	reserved,
	reserved,
	393216,
	393216
};

#ifdef kApplicationCreator
resource 'BNDL' (128) {
	kApplicationCreator,
	0,
	{
		'FREF',	{ 0, 128 },
		'ICN#',	{ 0, 128 }
	}
};

resource 'FREF' (128) {
	'APPL',
	0,
	""
};
#endif

#if ISPPC	
resource 'cfrg' (0) {
	{
		kPowerPC,
		kFullLib,
		kNoVersionNum,
		kNoVersionNum,
		kDefaultStackSize,
		kNoAppSubFolder,
		kIsApp,
		kOnDiskFlat,
		kZeroOffset,
		kWholeFork,
		"Dump Log"
	}
};
#endif

