/*-----------------------------------------------------------------
 *
 *  Program:		PCIBusTest
 *
 *	File:			project.h
 *
 *  Author:			Paul Freeburn
 *  Date:			Dec 13, 1994
 *
 *-----------------------------------------------------------------
 */


#ifndef __PROJECT__
#define __PROJECT__

#ifndef REZ
#include <ConditionalMacros.h>
#if GENERATINGPOWERPC == 0
	<< error: the following will not work >>
#endif


/*		DEFINES		*/
#define NAME_NODE_SIZE = 132
#define TRUE 1
#define YES 1
#define FALSE 0
#define NO 0

#define ERR_MEMALLOC	-1



/*		INCLUDES		*/
#include <Types.h>
#include <MixedMode.h>
#include <OSUtils.h>
#include <Files.h>
#include <QuickdrawText.h>
#include <QuickDraw.h>
#include <Events.h>
#include <Errors.h>
#include <Memory.h>
#include <Menus.h>
#include <Controls.h>
#include <Windows.h>
#include <TextEdit.h>
#include <Dialogs.h>
#include <MachineExceptions.h>
#include <PCI.h>
#include <Kernel.h>
#include <NameRegistry.h>
#include <CodeFragments.h>
#include <Devices.h>
#include <Fonts.h>
#include <Resources.h>
#include <LowMem.h>
#include <StandardFile.h>
#include <IntlResources.h>
#include <Script.h>
#include <TextUtils.h>
#include <SegLoad.h>
#include <FixMath.h>
#include <ToolUtils.h>
#include <Gestalt.h>
#include <Printing.h>
#include <AppleTalk.h>


#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <ctype.h>

//#include "BanditTest.h"
//#include "gentest.h"
//#include "hardware.h"
/* want to take out as many of these as possible! */
#define True		0xffffffff
#define False		0x00000000
#define CR			0x0d
#define LF			0x0a
#define	Rubout		0x08
#define Tab			0x09
#define NOP			0x00
#define Null		False
#define Blank		0x20

#define lengthByte			0x01	/* number of bytes */
#define	lengthWord			0x02	/* number of bytes */
#define lengthLongword		0x04	/* number of bytes */
#define lengthDoubleword	0x08	/* number of bytes */
#define lengthPage			0x10	

#define	typeConfig			0x10	/* Configuration type transaction */
#define	typeIO				0x20	/* IO type transaction */
#define typeMemory			0x40	/* Memory type transaction */
#define	typeSpecialWrite	0x80	/* ExpMgrSpecialCycleWriteLong */
#define typeSpecialBroadcast	0x50	/* ExpMgrSpecialCycleBroadcastLong */
#define interruptAcknowledge	0x60	/* ExpMgrInterruptAcknowledge */



/*		STRUCTS		*/
// like in PCI.h
struct PCIUnitAddress {
	PCIAddressSpaceFlags			addressSpaceFlags;
	PCIBusNumber					busNumber;
	PCIDeviceFunction				deviceFunctionNumber;
	PCIRegisterNumber				registerNumber;
};
typedef struct PCIUnitAddress PCIUnitAddress, *PCIUnitAddressPtr;



/*		PROTOTYPES		*/

void Help();
void ProcessCommand_D();
void ProcessCommand_S();
void DisplayMemoryIOConfig(UInt32 StartAddress, UInt32 DisplayLength, UInt8 TransType);
OSStatus FindPropertyWithValue(const RegPropertyName *propertyName, const void *propertyValue, const RegPropertyValueSize propertySize, RegEntryID *foundEntry);
OSStatus FindNameWithUnitAddr(const void *nodeNameValue, const RegPropertyValueSize nodeNameSize, const UInt32 unitAddr, RegEntryID *foundEntry);
OSStatus MessageDeviceUnderTest(const RegEntryID *theEntry);
OSStatus DisplayConfiguration(const RegEntryID *theEntry);
void GetNodeName(void);
void ToUpperString(Ptr theString);


#endif /* REZ */
#endif

