/***********************************************************
	File:		ATMDebug.h

	Contains:	Debugging utilities declarations for the ATM
							Streams drivers/modules
	
	Written by:	

	Copyright:	 1994 by Apple Computer, Inc., all rights reserved.

	Change History (most recent first):
	
	To Do:
 ***********************************************************/

/*
 * If ATM_DEBUG is defined, then these debugging utilities
 * will be activated.
 */

#ifndef __ATMDEBUG__
#define __ATMDEBUG__

#include <OpenTptModule.h>

#ifdef ATM_DEBUG

#define DEBUG_SPRINTF(arg) sprintf arg
#define DEBUG_BREAK(arg) debugstr(arg)
#define DUMP_DLPI_MSG(arg) dump_dlpi_msg(arg)
#define DUMP_TPI_MSG(arg) dump_tpi_msg(arg)

#else /* no ATM_DEBUG */

#define DEBUG_SPRINTF(arg)
#define DEBUG_BREAK(arg)
#define DUMP_DLPI_MSG(arg)
#define DUMP_TPI_MSG(arg)

#endif

#define ERROR_SPRINTF(arg) sprintf arg
#define ERROR_BREAK(arg) debugstr(arg)

#define FATAL_SPRINTF(arg) sprintf arg
#define FATAL_BREAK(arg) debugstr(arg)

extern char* stream_msg_type(mblk_t *mp);
extern char* tpi_msg_type(mblk_t *mp);
extern char *dlpi_msg_type(mblk_t *mp);

extern void dump_dlpi_msg(mblk_t* mp);
extern void dump_tpi_msg(mblk_t* mp);

#endif		/* __ATMDEBUG__ */
